unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    _status: boolean;
    procedure HideTitlebar;
    procedure ShowTitleBar;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.HideTitlebar;
var
  Save: Longint;
begin
//   
  if BorderStyle = bsNone then Exit;
//  
  Save := GetWindowLong(Handle, GWL_STYLE);
//    
  if (Save and WS_CAPTION) = WS_CAPTION then
  begin
    case BorderStyle of
       bsSingle,
       bsSizeable : SetWindowLong(Handle, GWL_STYLE, Save and
                    (Not WS_CAPTION) or WS_BORDER);
       bsDialog : SetWindowLong(Handle, GWL_STYLE, Save and
                  (Not WS_CAPTION) or DS_MODALFRAME or WS_DLGFRAME);
    end;//end case
//      
    Height := Height - GetSystemMetrics(SM_CYCAPTION);
// 
    Refresh;
  end;//end if
end;

procedure TForm1.ShowTitleBar;
var
  Save: Longint;
begin
//   
  if BorderStyle = bsNone then Exit;
//  
  Save := GetWindowLong(Handle, GWL_STYLE);
//    
  if (Save and WS_CAPTION) <> WS_CAPTION then begin
    case BorderStyle of
       bsSingle,
       bsSizeable : SetWindowLong(Handle, GWL_STYLE, Save or WS_CAPTION or
                    WS_BORDER);
       bsDialog : SetWindowLong(Handle, GWL_STYLE, Save or WS_CAPTION or
                  DS_MODALFRAME or WS_DLGFRAME);
    end;//end case
//      
    Height:=Height+getSystemMetrics(SM_CYCAPTION);
// 
    Refresh;
  end;//end if
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  If _status then
    HideTitleBar
  else
    ShowTitleBar;

  _status := not _status;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  _status:=true;
end;

end.
